> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post notifications



## OpenAPI

````yaml /openapi.json post /notifications
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /notifications:
    post:
      tags:
        - notifications
      operationId: NotificationController_createNotification
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNotificationBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateNotificationOutput'
components:
  schemas:
    CreateNotificationBodyDto:
      type: object
      properties:
        externalId:
          type: string
        type:
          type: string
          enum:
            - EMAIL
            - LRE
            - ERE
        reason:
          type: string
        metadata:
          type: object
      required:
        - externalId
        - type
    CreateNotificationOutput:
      type: object
      properties:
        tenantId:
          type: string
        id:
          type: string
        type:
          type: string
          enum:
            - EMAIL
            - LRE
            - ERE
        externalId:
          type: string
        status:
          type: string
          enum:
            - SENT
            - OPENED
            - REJECTED
            - NEGLECTED
        reason:
          type: string
        provider:
          type: string
          enum:
            - AR24
            - CUSTOMER_IO
        metadata:
          type: object
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - tenantId
        - id
        - type
        - status
        - provider
        - createdAt

````